Download it now!
Bug 118655 - Find & Replace dialog: put "Wildcards" near "Regular expressions"
Summary: Find & Replace dialog: put "Wildcards" near "Regular expressions"
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Aditya Sahu
URL:
Whiteboard: target:7.0.0
Keywords: difficultyBeginner, easyHack, topicUI
Depends on:
Blocks: Find&Replace-Dialog
  Show dependency treegraph
 
Reported: 2018-07-10 03:14 UTC by Mike Kaganski
Modified: 2020-05-10 19:26 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Proposed Wildcards placement in Calc Find & Replace dialog (54.11 KB, image/png)
2018-08-11 06:21 UTC, Jim Raykowski
Details
Proposed Comments placement in Writer Find & Replace dialog (53.00 KB, image/png)
2018-08-11 06:23 UTC, Jim Raykowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2018-07-10 03:14:36 UTC
In Calc, the "Find & Replace" dialog has a "Wildcard" checkbox, which is, naturally, mutually exclusive to "Regular expressions". They do similar functions, and should at least be placed near each other, if not grouped.
Comment 1 V Stuart Foote 2018-07-10 03:48:56 UTC
Yup...
Comment 2 Xisco Faulí 2018-07-31 12:06:11 UTC
@Jim, I thought you could be interested in this issue.
Comment 3 Jim Raykowski 2018-08-11 06:18:26 UTC
Wildcard, Regular expressions, and Similarity search options are mutually exclusive or none select. Wildcard and Comments options share the same layout box. Wildcard is hidden in Writer and shown in Calc and vice-a-versa. For Impress and Draw the Wildcard/Comments layout box is hidden. Attached are screenshots of a proposed placement of the Wildcard/Comment option in the Find & Replace dialog for Calc and Writer. The Wildcard/Comments option is moved above Regular expressions option and the Sounds like (Japanese) option is moved to the previous location of Wildcard/Comments.

I used Glade to edit the Find & Replace dialog file[1] to create the attached screen shots.

[1] https://opengrok.libreoffice.org/xref/core/svx/uiconfig/ui/findreplacedialog.ui
Comment 4 Jim Raykowski 2018-08-11 06:21:24 UTC
Created attachment 144101 [details]
Proposed Wildcards placement in Calc Find & Replace dialog
Comment 5 Jim Raykowski 2018-08-11 06:23:09 UTC
Created attachment 144102 [details]
Proposed Comments placement in Writer Find & Replace dialog
Comment 6 Commit Notification 2020-05-05 18:35:56 UTC
Aditya committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b41b339529da0e53af6b300a3faaacd2053c85e2

tdf#118655:Move Wildcard/Comments option above Regular expressions

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 BogdanB 2020-05-10 19:26:16 UTC
Everything looks like the proposal. Calc & Writer also.

Verified on
Version: 7.0.0.0.alpha1
Build ID: 6a03b2a54143a9bc0c6d4c7f1...
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded